package com.four.system.api.domain;


/***
 * 医生详情表
 */
public class SysRegistrationInformation {


    /***
     * 真实姓名
     */
    private String realName;

    /**
     * 所在医院
     */
    private String affiliatedHospital;

    /**
     * 好评人数
     */
    private String praise;

    /***
     *
     */
    private String numberPatientsServed;

    private String personalResume;

    private String areaExpertise;

    private String professionalTitleDoctorName;


    public SysRegistrationInformation(String realName, String affiliatedHospital, String praise, String numberPatientsServed, String personalResume, String areaExpertise, String professionalTitleDoctorName) {
        this.realName = realName;
        this.affiliatedHospital = affiliatedHospital;
        this.praise = praise;
        this.numberPatientsServed = numberPatientsServed;
        this.personalResume = personalResume;
        this.areaExpertise = areaExpertise;
        this.professionalTitleDoctorName = professionalTitleDoctorName;
    }

    @Override
    public String toString() {
        return "SysRegistrationInformation{" +
                "realName='" + realName + '\'' +
                ", affiliatedHospital='" + affiliatedHospital + '\'' +
                ", praise='" + praise + '\'' +
                ", numberPatientsServed='" + numberPatientsServed + '\'' +
                ", personalResume='" + personalResume + '\'' +
                ", areaExpertise='" + areaExpertise + '\'' +
                ", professionalTitleDoctorName='" + professionalTitleDoctorName + '\'' +
                '}';
    }

    public SysRegistrationInformation() {
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getAffiliatedHospital() {
        return affiliatedHospital;
    }

    public void setAffiliatedHospital(String affiliatedHospital) {
        this.affiliatedHospital = affiliatedHospital;
    }

    public String getPraise() {
        return praise;
    }

    public void setPraise(String praise) {
        this.praise = praise;
    }

    public String getNumberPatientsServed() {
        return numberPatientsServed;
    }

    public void setNumberPatientsServed(String numberPatientsServed) {
        this.numberPatientsServed = numberPatientsServed;
    }

    public String getPersonalResume() {
        return personalResume;
    }

    public void setPersonalResume(String personalResume) {
        this.personalResume = personalResume;
    }

    public String getAreaExpertise() {
        return areaExpertise;
    }

    public void setAreaExpertise(String areaExpertise) {
        this.areaExpertise = areaExpertise;
    }

    public String getProfessionalTitleDoctorName() {
        return professionalTitleDoctorName;
    }

    public void setProfessionalTitleDoctorName(String professionalTitleDoctorName) {
        this.professionalTitleDoctorName = professionalTitleDoctorName;
    }
}
